# Uses of Interface
org.opensaml.xmlsec.signature.support.SignatureTrustEngine

Packages that use SignatureTrustEngine
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of SignatureTrustEngine in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as SignatureTrustEngine
Modifier and Type
Field
Description
`private SignatureTrustEngine`
BaseSAMLSimpleSignatureSecurityHandler.`trustEngine`
Signature trust engine used to validate raw signatures.
Methods in org.opensaml.saml.common.binding.security.impl that return SignatureTrustEngine
Modifier and Type
Method
Description
`protected SignatureTrustEngine`
BaseSAMLSimpleSignatureSecurityHandler.`getTrustEngine()`
Gets the engine used to validate the signature.

## Uses of SignatureTrustEngine in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl declared as SignatureTrustEngine
Modifier and Type
Field
Description
`private SignatureTrustEngine`
SignatureValidationFilter.`signatureTrustEngine`
Trust engine used to validate a signature.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return SignatureTrustEngine
Modifier and Type
Method
Description
`SignatureTrustEngine`
SignatureValidationFilter.`getSignatureTrustEngine()`
Gets the trust engine used to validate signatures on incoming metadata.
Constructors in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type SignatureTrustEngine
Modifier
Constructor
Description
``
`SignatureValidationFilter(SignatureTrustEngine engine)`
Constructor.

## Uses of SignatureTrustEngine in org.opensaml.saml.saml2.assertion

Fields in org.opensaml.saml.saml2.assertion declared as SignatureTrustEngine
Modifier and Type
Field
Description
`private SignatureTrustEngine`
SAML20AssertionValidator.`trustEngine`
Trust engine for signature evaluation.
Methods in org.opensaml.saml.saml2.assertion that return SignatureTrustEngine
Modifier and Type
Method
Description
`protected SignatureTrustEngine`
SAML20AssertionValidator.`getSignatureValidationTrustEngine(Assertion token, ValidationContext context)`
Get the signature trust engine that will be used in evaluating the Assertion signature.
Constructors in org.opensaml.saml.saml2.assertion with parameters of type SignatureTrustEngine
Modifier
Constructor
Description
``
`SAML20AssertionValidator(Collection<ConditionValidator> newConditionValidators, Collection<SubjectConfirmationValidator> newConfirmationValidators, Collection<StatementValidator> newStatementValidators, AssertionValidator newAssertionValidator, SignatureTrustEngine newTrustEngine, SignaturePrevalidator newSignaturePrevalidator)`
Constructor.

## Uses of SignatureTrustEngine in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as SignatureTrustEngine
Modifier and Type
Field
Description
`private SignatureTrustEngine`
SignatureValidationParameters.`signatureTrustEngine`
The signature trust engine to use.
Methods in org.opensaml.xmlsec that return SignatureTrustEngine
Modifier and Type
Method
Description
`SignatureTrustEngine`
SignatureValidationConfiguration.`getSignatureTrustEngine()`
Get the signature trust engine to use.
`SignatureTrustEngine`
SignatureValidationParameters.`getSignatureTrustEngine()`
Get the signature trust engine to use.
Methods in org.opensaml.xmlsec with parameters of type SignatureTrustEngine
Modifier and Type
Method
Description
`void`
SignatureValidationParameters.`setSignatureTrustEngine(SignatureTrustEngine engine)`
Set the signature trust engine to use.

## Uses of SignatureTrustEngine in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as SignatureTrustEngine
Modifier and Type
Field
Description
`private SignatureTrustEngine`
BasicSignatureValidationConfiguration.`signatureTrustEngine`
The signature trust engine to use.
Methods in org.opensaml.xmlsec.impl that return SignatureTrustEngine
Modifier and Type
Method
Description
`SignatureTrustEngine`
BasicSignatureValidationConfiguration.`getSignatureTrustEngine()`
Get the signature trust engine to use.
`protected SignatureTrustEngine`
BasicSignatureValidationParametersResolver.`resolveSignatureTrustEngine(CriteriaSet criteria)`
Resolve and return the effective `SignatureTrustEngine`.
Methods in org.opensaml.xmlsec.impl with parameters of type SignatureTrustEngine
Modifier and Type
Method
Description
`BasicSignatureValidationConfiguration`
BasicSignatureValidationConfiguration.`setSignatureTrustEngine(SignatureTrustEngine engine)`
Set the signature trust engine to use.

## Uses of SignatureTrustEngine in org.opensaml.xmlsec.signature.support.impl

Classes in org.opensaml.xmlsec.signature.support.impl that implement SignatureTrustEngine
Modifier and Type
Class
Description
`class`
`BaseSignatureTrustEngine<TrustBasisType>`
A base implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.
`class`
`ChainingSignatureTrustEngine`
Evaluate a signature in sequence using a chain of subordinate trust engines.
`class`
`ExplicitKeySignatureTrustEngine`
An implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.
`class`
`PKIXSignatureTrustEngine`
An implementation of `SignatureTrustEngine` which evaluates the validity and trustworthiness of XML and raw signatures.
Fields in org.opensaml.xmlsec.signature.support.impl with type parameters of type SignatureTrustEngine
Modifier and Type
Field
Description
`private List<SignatureTrustEngine>`
ChainingSignatureTrustEngine.`engines`
The chain of subordinate trust engines.
Methods in org.opensaml.xmlsec.signature.support.impl that return types with arguments of type SignatureTrustEngine
Modifier and Type
Method
Description
`List<SignatureTrustEngine>`
ChainingSignatureTrustEngine.`getChain()`
Get the list of configured trust engines which constitute the trust evaluation chain.
Constructor parameters in org.opensaml.xmlsec.signature.support.impl with type arguments of type SignatureTrustEngine
Modifier
Constructor
Description
``
`ChainingSignatureTrustEngine(List<SignatureTrustEngine> chain)`
Constructor.